%define api_version 1.1
%define pkg_name geronimo-activation_%{api_version}_spec

Name:           geronimo-jaf-1_1-api
Version:        1.1
Release:        %mkrel 4
Summary:        Java Activation Spec API 1.1
License:        Apache Software License 2.0
Group:          Development/Java
URL:            http://geronimo.apache.org/
Source0:        http://repo2.maven.org/maven2/org/apache/geronimo/specs/%{name}_%{version}_spec/%{version}/%{pkg_name}-%{version}-source-release.tar.gz
Source1:        geronimo-activation-1.1.depmap
Patch0:         geronimo-activation-1.1-use_parent_pom.patch
BuildRequires:  geronimo-osgi-locator
BuildRequires:  geronimo-parent-poms
BuildRequires:  felix-osgi-core
BuildRequires:  felix-osgi-compendium
BuildRequires:  maven-local
BuildRequires:  maven-plugin-bundle
BuildRequires:  maven-surefire-plugin
BuildRequires:  java-devel
BuildRequires:  junit4
BuildRequires:  jpackage-utils
Requires:       jpackage-utils
BuildArch:      noarch

%description
Geronimo Java Activation Spec API 1.1.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Geronimo Java Activation Spec API 1.1.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}

iconv -f iso8859-1 -t utf-8 LICENSE > LICENSE.conv && mv -f LICENSE.conv LICENSE
sed -i 's/\r//' LICENSE
%patch0 -p0

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc



%changelog
* Thu Dec 19 2013 dmorgan <dmorgan> 1.1-4.mga4
+ Revision: 558814
- Build with xmvn

  + luigiwalser <luigiwalser>
    - BR maven-local for mvn-rpmbuild

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 dmorgan <dmorgan> 1.1-2.mga3
+ Revision: 356493
- Build with maven 3

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 12 2011 dmorgan <dmorgan> 1.1-1.mga2
+ Revision: 132893
- Clean spec file

* Fri Jun 10 2011 gil <gil> 1.1-0.mga2
+ Revision: 102887
- imported package geronimo-jaf-1_1-api

